import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { transformRESTTimestampToSDKTimestamp } from '@wix/sdk-runtime/transformations/timestamp';
import { transformPaths } from '@wix/sdk-runtime/transformations/transform-paths';
import { EventDefinition } from '@wix/sdk-types';
import { getActivityCounters as universalGetActivityCounters, incrementActivityCounters as universalIncrementActivityCounters, queryActivityCounters as universalQueryActivityCounters, setActivityCounters as universalSetActivityCounters, } from './members-v1-activity-counter-activity-counters.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/activity-counters' };
export function setActivityCounters(httpClient) {
    return (memberId, counter) => universalSetActivityCounters(memberId, counter, 
    // @ts-ignore
    { httpClient });
}
export function incrementActivityCounters(httpClient) {
    return (memberId, counter) => universalIncrementActivityCounters(memberId, counter, 
    // @ts-ignore
    { httpClient });
}
export function getActivityCounters(httpClient) {
    return (memberId) => universalGetActivityCounters(memberId, 
    // @ts-ignore
    { httpClient });
}
export function queryActivityCounters(httpClient) {
    return () => universalQueryActivityCounters(
    // @ts-ignore
    { httpClient });
}
export const onActivityCounterUpdated = EventDefinition('wix.members.v1.activity_counter_updated', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
export { WebhookIdentityType, } from './members-v1-activity-counter-activity-counters.universal.js';
//# sourceMappingURL=members-v1-activity-counter-activity-counters.public.js.map