import { setActivityCounters as publicSetActivityCounters, incrementActivityCounters as publicIncrementActivityCounters, getActivityCounters as publicGetActivityCounters, queryActivityCounters as publicQueryActivityCounters } from './members-v1-activity-counter-activity-counters.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onActivityCounterUpdated as publicOnActivityCounterUpdated } from './members-v1-activity-counter-activity-counters.public.js';
export declare const setActivityCounters: MaybeContext<BuildRESTFunction<typeof publicSetActivityCounters> & typeof publicSetActivityCounters>;
export declare const incrementActivityCounters: MaybeContext<BuildRESTFunction<typeof publicIncrementActivityCounters> & typeof publicIncrementActivityCounters>;
export declare const getActivityCounters: MaybeContext<BuildRESTFunction<typeof publicGetActivityCounters> & typeof publicGetActivityCounters>;
export declare const queryActivityCounters: MaybeContext<BuildRESTFunction<typeof publicQueryActivityCounters> & typeof publicQueryActivityCounters>;
/**
 * Triggered when a member's activity counter is updated.
 */
export declare const onActivityCounterUpdated: ReturnType<typeof createEventModule<typeof publicOnActivityCounterUpdated>>;
export { WebhookIdentityType } from './members-v1-activity-counter-activity-counters.universal.js';
export { ActivityCounter, Counter, SetActivityCountersRequest, SetActivityCountersResponse, IncrementActivityCountersRequest, IncrementActivityCountersResponse, GetActivityCountersRequest, GetActivityCountersResponse, QueryActivityCountersRequest, Query, Paging, QueryActivityCountersResponse, PagingMetadata, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, ActivityCounterUpdatedEnvelope, ActivityCountersQueryResult, ActivityCountersQueryBuilder, } from './members-v1-activity-counter-activity-counters.universal.js';
